<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
	<extension point="org.eclipse.ui.commands">
		<command
			categoryId="org.eclipse.papyrus.editor.category"
			defaultHandler="org.eclipse.papyrus.designer.components.transformation.ui.handlers.SelectConnectorHandler"
			id="org.eclipse.papyrus.designer.components.transformation.ui.menuActions.SelectionConnectorCmd"
			name="Choose connector type and implementation">
		</command>
		<command
			categoryId="org.eclipse.papyrus.editor.category"
			defaultHandler="org.eclipse.papyrus.designer.components.transformation.ui.handlers.SelectContainerHandler"
			id="org.eclipse.papyrus.designer.components.transformation.ui.menuActions.SelectionContainerCmd"
			name="Choose container properties">
		</command>
		<command
			categoryId="org.eclipse.papyrus.editor.category"
			defaultHandler="org.eclipse.papyrus.designer.components.transformation.ui.handlers.ConfigurePortHandler"
			id="org.eclipse.papyrus.designer.components.transformation.ui.menuActions.ConfigurePortsCmd"
			name="Configure ports">
		</command>
		<command
			categoryId="org.eclipse.papyrus.editor.category"
			defaultHandler="org.eclipse.papyrus.designer.components.transformation.ui.handlers.SyncHandler"
			id="org.eclipse.papyrus.designer.components.transformation.ui.menuActions.SyncCmd"
			name="Synchronize derived elements (components)">
 		</command>
	</extension>
	<extension point="org.eclipse.ui.menus">
		<menuContribution allPopups="false"
				locationURI="popup:org.eclipse.papyrus.designer.popup?after=designer">
			<command
				commandId="org.eclipse.papyrus.designer.components.transformation.ui.menuActions.SelectionConnectorCmd"
				icon="icons/selConnector.gif">
				<visibleWhen checkEnabled="false">
					<iterate>
						<adapt type="org.eclipse.emf.ecore.EObject">
							<or>
								<instanceof value="org.eclipse.uml2.uml.Connector"/>
								<and>
									<instanceof value="org.eclipse.uml2.uml.Property"/>
									<test property="org.eclipse.papyrus.uml.stereotype" value="FCM::Connector"/>
									<not>
										<instanceof value="org.eclipse.uml2.uml.Port"/>
									</not>
								</and>
							</or>
						</adapt>
					</iterate>
				</visibleWhen>
			</command>
			<command
				commandId="org.eclipse.papyrus.designer.components.transformation.ui.menuActions.SelectionContainerCmd"
				icon="icons/selContainer.gif">
				<visibleWhen checkEnabled="false">
					<iterate>
						<adapt type="org.eclipse.emf.ecore.EObject">
							<or>
								<instanceof value="org.eclipse.uml2.uml.Class"/>
								<instanceof value="org.eclipse.uml2.uml.InstanceSpecification"/>
							</or>
						</adapt>
					</iterate>
				</visibleWhen>
			</command>
			<command
				commandId="org.eclipse.papyrus.designer.components.transformation.ui.menuActions.ConfigurePortsCmd"
				icon="icons/selContainer.gif"
				id="org.eclipse.papyrus.designer.components.transformation.ui.menuActions.ConfigurePortsMenu">
				<visibleWhen checkEnabled="false">
					<iterate>
						<adapt type="org.eclipse.emf.ecore.EObject">
							<or>
								<instanceof value="org.eclipse.uml2.uml.Class"/>
								<instanceof value="org.eclipse.uml2.uml.Port"/>
							</or>
						</adapt>
					</iterate>
				</visibleWhen>
			</command>
			<command
				commandId="org.eclipse.papyrus.designer.components.transformation.ui.menuActions.SyncCmd"
				icon="icons/sync.gif">
				<visibleWhen checkEnabled="false">
					<iterate>
						<adapt type="org.eclipse.emf.ecore.EObject">
							<instanceof value="org.eclipse.uml2.uml.Class"/>
						</adapt>
					</iterate>
				</visibleWhen>
			</command>
		</menuContribution>
	</extension>
</plugin>
